#ifndef toflevel2struct_h
#define toflevel2struct_h

struct cToFLevel2 {

  Int_t tof_j_flag[6];

  Int_t ntoftrk;
  Int_t toftrkseqno[10]; 
  //
  Int_t npmttdc[10];
  Int_t pmttdc[48][10];
  Float_t beta[13][10];
  //
  Int_t npmtadc[10];
  Int_t pmtadc[48][10];
  Float_t dedx[48][10];  
  //
  Float_t xtofpos[3][10];
  Float_t ytofpos[3][10];
  //
  Int_t npmt;
  Int_t pmt_id[48];
  Float_t adc[48];
  Float_t tdc_tw[48];

  void InitcToFLevel2(){

    for(Int_t i=0;i<6;i++)
      tof_j_flag[i]=0;
    ntoftrk=0;
    npmt=0;

    for(Int_t j=0;j<10;j++){
      toftrkseqno[j]=0;
      npmttdc[j]=0;
      npmtadc[j]=0;
      for(Int_t i=0;i<3;i++){
	xtofpos[i][j]=0;
	ytofpos[i][j]=0;
      }
      for(Int_t i=0;i<13;i++)
	beta[i][j]=0;
    }
    for(Int_t j=0;j<10;j++){
      for(Int_t i=0;i<48;i++){
	pmttdc[i][j]=0;
	pmtadc[i][j]=0;
	dedx[i][j]=0;
      }
    }
    for(Int_t j=0;j<48;j++){
      pmt_id[j]=0;
      adc[j]=0;
      tdc_tw[j]=0;
    }
  }

};

#endif
